//+------------------------------------------------------------------+
//|                                                     Trend-SR.mq4 |
//|                                       Copyright  2009, Limstylz |
//|      Additional coding provided by Ruptor & jjc @ forum.mql4.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Limstylz"
#property indicator_chart_window


extern bool ShowMonth2Week = true;
extern bool ShowWeek2Day = true;
extern bool ShowDay2H4 = true;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+


int init()
  {
//---- indicators


   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
ObjectDelete("MN2WKBottom");
ObjectDelete("MN2WKTop");
ObjectDelete("WK2D1Bottom");
ObjectDelete("WK2D1Top");
ObjectDelete("D12H4Bottom");
ObjectDelete("D12H4Top");

   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()   
   {
   
   //Last Month
      datetime lastmonthopen=iTime(NULL,PERIOD_MN1,1);
      datetime lastmonthclose=iTime(NULL,PERIOD_MN1,0)-1;
      int lastmonthstart=iBarShift(NULL,PERIOD_M1,lastmonthopen);
      int lastmonthend=iBarShift(NULL,PERIOD_M1,lastmonthclose);
      int lastmonthhighbar=iHighest(NULL,PERIOD_M1,MODE_HIGH,lastmonthstart-lastmonthend,lastmonthend);
      datetime lastmonthhightime=iTime(NULL,PERIOD_M1,lastmonthhighbar);
      int lastmonthlowbar=iLowest(NULL,PERIOD_M1,MODE_LOW,lastmonthstart-lastmonthend,lastmonthend);
      datetime lastmonthlowtime=iTime(NULL,PERIOD_M1,lastmonthlowbar);
      double lastmonthhighprice=iHigh(NULL,PERIOD_M1,lastmonthhighbar);
      double lastmonthlowprice=iLow(NULL,PERIOD_M1,lastmonthlowbar);
   
   //Last Week
      datetime lastweekopen=iTime(NULL,PERIOD_W1,1);
      datetime lastweekclose=iTime(NULL,PERIOD_W1,0)-1;
      int lastweekstart=iBarShift(NULL,PERIOD_M1,lastweekopen);
      int lastweekend=iBarShift(NULL,PERIOD_M1,lastweekclose);
      int lastweekhighbar=iHighest(NULL,PERIOD_M1,MODE_HIGH,lastweekstart-lastweekend,lastweekend);
      datetime lastweekhightime=iTime(NULL,PERIOD_M1,lastweekhighbar);
      int lastweeklowbar=iLowest(NULL,PERIOD_M1,MODE_LOW,lastweekstart-lastweekend,lastweekend);
      datetime lastweeklowtime=iTime(NULL,PERIOD_M1,lastweeklowbar);
      double lastweekhighprice=iHigh(NULL,PERIOD_M1,lastweekhighbar);
      double lastweeklowprice=iLow(NULL,PERIOD_M1,lastweeklowbar);
      
   //Yesterday
      datetime yesterdayopen=iTime(NULL,PERIOD_D1,1);
      datetime yesterdayclose=iTime(NULL,PERIOD_D1,0) - 1;
      int yesterdaystart=iBarShift(NULL,PERIOD_M1,yesterdayopen);
      int yesterdayend=iBarShift(NULL,PERIOD_M1,yesterdayclose);
      int yesterdayhighbar=iHighest(NULL,PERIOD_M1,MODE_HIGH,yesterdaystart-yesterdayend,yesterdayend);
      datetime yesterdayhightime=iTime(NULL,PERIOD_M1,yesterdayhighbar);
      int yesterdaylowbar=iLowest(NULL,PERIOD_M1,MODE_LOW,yesterdaystart-yesterdayend,yesterdayend);
      datetime yesterdaylowtime=iTime(NULL,PERIOD_M1,yesterdaylowbar);
      double yesterdayhighprice=iHigh(NULL,PERIOD_M1,yesterdayhighbar);
      double yesterdaylowprice=iLow(NULL,PERIOD_M1,yesterdaylowbar);
      
   //H4
      datetime h4open=iTime(NULL,PERIOD_H4,1);
      datetime h4close=iTime(NULL,PERIOD_H4,0)-1;
      int h4start=iBarShift(NULL,PERIOD_M1,h4open);
      int h4end=iBarShift(NULL,PERIOD_M1,h4close);
      int h4highbar=iHighest(NULL,PERIOD_M1,MODE_HIGH,h4start-h4end,h4end);
      datetime h4hightime=iTime(NULL,PERIOD_M1,h4highbar);
      int h4lowbar=iLowest(NULL,PERIOD_M1,MODE_LOW,h4start-h4end,h4end);
      datetime h4lowtime=iTime(NULL,PERIOD_M1,h4lowbar);
      double h4highprice=iHigh(NULL,PERIOD_M1,h4highbar);
      double h4lowprice=iLow(NULL,PERIOD_M1,h4lowbar);
      
      if (ShowMonth2Week){      
      ObjectCreate("MN2WKTop", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("MN2WKTop",OBJPROP_COLOR,Maroon);
      ObjectSet ("MN2WKTop",OBJPROP_WIDTH,1);
      ObjectSet ("MN2WKTop",OBJPROP_PRICE1,lastmonthhighprice);
      ObjectSet ("MN2WKTop",OBJPROP_PRICE2,lastweekhighprice);
      ObjectSet ("MN2WKTop",OBJPROP_TIME1,lastmonthhightime);
      ObjectSet ("MN2WKTop",OBJPROP_TIME2,lastweekhightime);
      ObjectCreate("MN2WKBottom", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("MN2WKBottom",OBJPROP_COLOR,DarkGreen);
      ObjectSet ("MN2WKBottom",OBJPROP_WIDTH,1);
      ObjectSet ("MN2WKBottom",OBJPROP_PRICE1,lastmonthlowprice);
      ObjectSet ("MN2WKBottom",OBJPROP_PRICE2,lastweeklowprice);
      ObjectSet ("MN2WKBottom",OBJPROP_TIME1,lastmonthlowtime);
      ObjectSet ("MN2WKBottom",OBJPROP_TIME2,lastweeklowtime);}
      
      if (ShowWeek2Day){
      ObjectCreate("WK2D1Top", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("WK2D1Top",OBJPROP_COLOR,Red);
      ObjectSet ("WK2D1Top",OBJPROP_WIDTH,1);
      ObjectSet ("WK2D1Top",OBJPROP_PRICE1,lastweekhighprice);
      ObjectSet ("WK2D1Top",OBJPROP_PRICE2,yesterdayhighprice);
      ObjectSet ("WK2D1Top",OBJPROP_TIME1,lastweekhightime);
      ObjectSet ("WK2D1Top",OBJPROP_TIME2,yesterdayhightime);
      ObjectCreate("WK2D1Bottom", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("WK2D1Bottom",OBJPROP_COLOR,Lime);
      ObjectSet ("WK2D1Bottom",OBJPROP_WIDTH,1);
      ObjectSet ("WK2D1Bottom",OBJPROP_PRICE1,lastweeklowprice);
      ObjectSet ("WK2D1Bottom",OBJPROP_PRICE2,yesterdaylowprice);
      ObjectSet ("WK2D1Bottom",OBJPROP_TIME1,lastweeklowtime);
      ObjectSet ("WK2D1Bottom",OBJPROP_TIME2,yesterdaylowtime);}
      
      if (ShowDay2H4){
      ObjectCreate("D12H4Top", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("D12H4Top",OBJPROP_COLOR,Pink);
      ObjectSet ("D12H4Top",OBJPROP_WIDTH,1);
      ObjectSet ("D12H4Top",OBJPROP_PRICE1,yesterdayhighprice);
      ObjectSet ("D12H4Top",OBJPROP_PRICE2,h4highprice);
      ObjectSet ("D12H4Top",OBJPROP_TIME1,yesterdayhightime);
      ObjectSet ("D12H4Top",OBJPROP_TIME2,h4hightime);
      ObjectCreate("D12H4Bottom", OBJ_TREND, 0, 0, 0, 0, 0);
      ObjectSet ("D12H4Bottom",OBJPROP_COLOR,Blue);
      ObjectSet ("D12H4Bottom",OBJPROP_WIDTH,1);
      ObjectSet ("D12H4Bottom",OBJPROP_PRICE1,yesterdaylowprice);
      ObjectSet ("D12H4Bottom",OBJPROP_PRICE2,h4lowprice);
      ObjectSet ("D12H4Bottom",OBJPROP_TIME1,yesterdaylowtime);
      ObjectSet ("D12H4Bottom",OBJPROP_TIME2,h4lowtime);}

   return(0);  
}
//+------------------------------------------------------------------+